Bug 1576559 - Wings crashes with Intel Graphic
Summary: Wings crashes with Intel Graphic
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wings
Version: 28
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-09 18:17 UTC by dufgrinder
Modified: 2018-12-21 19:39 UTC (History)
3 users (show)

Fixed In Version: wings-2.2.1-1.fc28 wings-2.2.1-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-21 05:52:37 UTC
Type: Bug


Attachments (Terms of Use)
Wings3d (erlang) error file (365 bytes, text/plain)
2018-05-09 18:17 UTC, dufgrinder
no flags Details

Description dufgrinder 2018-05-09 18:17:06 UTC
Created attachment 1433992 [details]
Wings3d (erlang) error file

Description of problem:
  
  After a fresh install of F28 XFCE on 3 computers : 
   - Wings 2.1.5 crashes on laptop with intel graphics (both 32bits or 64bits)
   - But it works with a desktop with nVidia card running nouveau driver

Version-Release number of selected component (if applicable): 2.1.5

But I suspect the error to be liked with intel graphic driver

glmark2 works but with warnings I've never seen before.

nothing in the journalctl

How reproducible:


Steps to Reproduce:
1. Log on the computer (via lightdm)
2. Start Wingsd from the menu
3. The window appears and vanished immediatly
4. Find the wings_crash.dump file in the home directory of the user

Other way : Start wings from a terminal : an Erlang stack dump is shown


Actual results:
- Wingsd 2.1.5 does not work

Expected results:
 Wings3d should start
 

Additional info:

FUJITSU S7220 P8600
  uname -a 4.16.6-302.fc28.x86_64
  lsmod 
Module                  Size  Used by
md4                    16384  0
nls_utf8               16384  2
cifs                  790528  4
dns_resolver           16384  1 cifs
fscache                73728  1 cifs
ccm                    20480  3
ip6t_rpfilter          16384  1
ip6t_REJECT            16384  2
nf_reject_ipv6         16384  1 ip6t_REJECT
xt_conntrack           16384  13
ip_set                 45056  0
nfnetlink              16384  1 ip_set
ebtable_nat            16384  1
ebtable_broute         16384  1
bridge                188416  1 ebtable_broute
stp                    16384  1 bridge
llc                    16384  2 bridge,stp
ip6table_nat           16384  1
nf_conntrack_ipv6      16384  8
nf_defrag_ipv6         36864  1 nf_conntrack_ipv6
nf_nat_ipv6            16384  1 ip6table_nat
ip6table_mangle        16384  1
ip6table_raw           16384  1
ip6table_security      16384  1
iptable_nat            16384  1
nf_conntrack_ipv4      16384  7
nf_defrag_ipv4         16384  1 nf_conntrack_ipv4
nf_nat_ipv4            16384  1 iptable_nat
nf_nat                 36864  2 nf_nat_ipv6,nf_nat_ipv4
nf_conntrack          147456  6 nf_conntrack_ipv6,nf_conntrack_ipv4,nf_nat_ipv6,xt_conntrack,nf_nat_ipv4,nf_nat
libcrc32c              16384  2 nf_conntrack,nf_nat
iptable_mangle         16384  1
iptable_raw            16384  1
iptable_security       16384  1
ebtable_filter         16384  1
ebtables               36864  3 ebtable_filter,ebtable_nat,ebtable_broute
ip6table_filter        16384  1
ip6_tables             28672  5 ip6table_mangle,ip6table_filter,ip6table_security,ip6table_raw,ip6table_nat
sunrpc                409600  1
coretemp               16384  0
kvm_intel             176128  0
kvm                   708608  1 kvm_intel
irqbypass              16384  1 kvm
iTCO_wdt               16384  0
iTCO_vendor_support    16384  1 iTCO_wdt
arc4                   16384  2
iwldvm                270336  0
ppdev                  20480  0
mac80211              892928  1 iwldvm
joydev                 24576  0
i2c_i801               28672  0
snd_hda_codec_hdmi     57344  1
snd_hda_codec_realtek   106496  1
snd_hda_codec_generic    86016  1 snd_hda_codec_realtek
tpm_infineon           20480  0
iwlwifi               258048  1 iwldvm
snd_hda_intel          45056  4
i915                 2002944  3
lpc_ich                28672  0
snd_hda_codec         151552  4 snd_hda_intel,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_hda_codec_realtek
snd_hda_core           94208  5 snd_hda_intel,snd_hda_codec,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_hda_codec_realtek
cfg80211              733184  3 iwlwifi,mac80211,iwldvm
rfkill                 28672  3 cfg80211
i2c_algo_bit           16384  1 i915
fujitsu_laptop         24576  0
snd_hwdep              16384  1 snd_hda_codec
drm_kms_helper        200704  1 i915
shpchp                 40960  0
snd_seq                81920  0
snd_seq_device         16384  1 snd_seq
tpm_tis                16384  0
tpm_tis_core           20480  1 tpm_tis
drm                   454656  5 i915,drm_kms_helper
parport_pc             32768  0
parport                57344  2 parport_pc,ppdev
tpm                    65536  3 tpm_infineon,tpm_tis,tpm_tis_core
snd_pcm               118784  4 snd_hda_intel,snd_hda_codec,snd_hda_core,snd_hda_codec_hdmi
sparse_keymap          16384  1 fujitsu_laptop
snd_timer              36864  2 snd_seq,snd_pcm
snd                    94208  18 snd_hda_intel,snd_hwdep,snd_seq,snd_hda_codec,snd_timer,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_seq_device,snd_hda_codec_realtek,snd_pcm
soundcore              16384  1 snd
acpi_cpufreq           24576  1
video                  45056  2 fujitsu_laptop,i915
binfmt_misc            20480  1
hid_logitech_hidpp     40960  0
sdhci_pci              40960  0
cqhci                  28672  1 sdhci_pci
sdhci                  57344  1 sdhci_pci
serio_raw              16384  0
mmc_core              172032  3 sdhci,sdhci_pci,cqhci
ata_generic            16384  0
yenta_socket           53248  0
pata_acpi              16384  0
sky2                   69632  0
hid_logitech_dj        20480  0



ASUS EEE PC N2800 (32bits)
  uname -a 4.16.6-302.fc28.i686
  lsmod 
Module                  Size  Used by
md4                    16384  0
nls_utf8               16384  2
cifs                  602112  4
dns_resolver           16384  1 cifs
fscache                65536  1 cifs
ccm                    20480  3
ip6t_rpfilter          16384  1
ip6t_REJECT            16384  2
nf_reject_ipv6         16384  1 ip6t_REJECT
xt_conntrack           16384  13
ip_set                 36864  0
nfnetlink              16384  1 ip_set
ebtable_nat            16384  1
ebtable_broute         16384  1
bridge                135168  1 ebtable_broute
stp                    16384  1 bridge
llc                    16384  2 bridge,stp
ip6table_nat           16384  1
nf_conntrack_ipv6      16384  8
nf_defrag_ipv6         24576  1 nf_conntrack_ipv6
nf_nat_ipv6            16384  1 ip6table_nat
ip6table_mangle        16384  1
ip6table_raw           16384  1
ip6table_security      16384  1
iptable_nat            16384  1
nf_conntrack_ipv4      16384  7
nf_defrag_ipv4         16384  1 nf_conntrack_ipv4
nf_nat_ipv4            16384  1 iptable_nat
nf_nat                 28672  2 nf_nat_ipv6,nf_nat_ipv4
nf_conntrack          110592  6 nf_conntrack_ipv6,nf_conntrack_ipv4,nf_nat_ipv6,xt_conntrack,nf_nat_ipv4,nf_nat
libcrc32c              16384  2 nf_conntrack,nf_nat
iptable_mangle         16384  1
iptable_raw            16384  1
iptable_security       16384  1
ebtable_filter         16384  1
ebtables               24576  3 ebtable_filter,ebtable_nat,ebtable_broute
ip6table_filter        16384  1
ip6_tables             20480  5 ip6table_mangle,ip6table_filter,ip6table_security,ip6table_raw,ip6table_nat
sunrpc                299008  1
snd_hda_codec_hdmi     45056  1
snd_hda_codec_realtek    86016  1
snd_hda_codec_generic    69632  1 snd_hda_codec_realtek
arc4                   16384  2
ath9k                 118784  0
ath9k_common           20480  1 ath9k
eeepc_wmi              16384  0
asus_wmi               24576  1 eeepc_wmi
uvcvideo               86016  0
ath9k_hw              454656  2 ath9k,ath9k_common
iTCO_wdt               16384  0
sparse_keymap          16384  1 asus_wmi
iTCO_vendor_support    16384  1 iTCO_wdt
wmi_bmof               16384  0
mac80211              647168  1 ath9k
videobuf2_vmalloc      16384  1 uvcvideo
videobuf2_memops       16384  1 videobuf2_vmalloc
snd_hda_intel          36864  4
videobuf2_v4l2         24576  1 uvcvideo
intel_powerclamp       16384  0
videobuf2_common       40960  2 uvcvideo,videobuf2_v4l2
gma500_gfx            131072  2
snd_hda_codec         106496  4 snd_hda_intel,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_hda_codec_realtek
coretemp               16384  0
snd_hda_core           65536  5 snd_hda_intel,snd_hda_codec,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_hda_codec_realtek
videodev              155648  3 uvcvideo,videobuf2_common,videobuf2_v4l2
i2c_algo_bit           16384  1 gma500_gfx
snd_hwdep              16384  1 snd_hda_codec
snd_seq                57344  0
ath                    24576  3 ath9k_hw,ath9k,ath9k_common
drm_kms_helper        151552  1 gma500_gfx
joydev                 20480  0
media                  32768  2 uvcvideo,videodev
i2c_i801               24576  0
cfg80211              532480  4 mac80211,ath9k,ath,ath9k_common
snd_seq_device         16384  1 snd_seq
snd_pcm                86016  4 snd_hda_intel,snd_hda_codec,snd_hda_core,snd_hda_codec_hdmi
drm                   339968  4 gma500_gfx,drm_kms_helper
lpc_ich                24576  0
snd_timer              28672  2 snd_seq,snd_pcm
fb_sys_fops            16384  1 drm_kms_helper
syscopyarea            16384  1 drm_kms_helper
snd                    65536  18 snd_hda_intel,snd_hwdep,snd_seq,snd_hda_codec,snd_timer,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_seq_device,snd_hda_codec_realtek,snd_pcm
rfkill                 24576  4 asus_wmi,cfg80211
sysfillrect            16384  1 drm_kms_helper
wmi                    20480  2 asus_wmi,wmi_bmof
sysimgblt              16384  1 drm_kms_helper
soundcore              16384  1 snd
video                  40960  2 asus_wmi,gma500_gfx
acpi_cpufreq           20480  1
binfmt_misc            20480  1
serio_raw              16384  0
atl1c                  40960  0

Comment 1 dufgrinder 2018-05-25 20:37:18 UTC
Tested today with current updage 
kernel 4.16.11-300.fc28.x86_64


Launched for a terminal, I hope the stack trace could help 

=ERROR REPORT==== 25-May-2018::22:33:20 ===
** wx object server {local,wings_frame} terminating 
** Last message in was {'EXIT',<0.59.0>,
                           {{error,no_gl_context,5075},
                            [{gl,rec,1,[{file,"gen/gl.erl"},{line,298}]},
                             {wings_gl,init_extensions,0,
                                 [{file,"wings_gl.erl"},{line,164}]},
                             {wings_gl,init,1,
                                 [{file,"wings_gl.erl"},{line,49}]},
                             {wings,init,1,[{file,"wings.erl"},{line,121}]}]}}
** When Server state == {state,
                            #{active => geom,
                              bs =>
                                  [#{art => "wxART_FILE_OPEN",
                                     bm => {wx_ref,104,wxBitmap,[]},
                                     id => 5000,name => open,type => normal},
                                   #{art => "wxART_FILE_SAVE",
                                     bm => {wx_ref,105,wxBitmap,[]},
                                     id => 5003,name => save,type => normal},
                                   #{art => "wxART_UNDO",
                                     bm => {wx_ref,106,wxBitmap,[]},
                                     id => 5007,name => undo,type => normal},
                                   #{art => "wxART_REDO",
                                     bm => {wx_ref,107,wxBitmap,[]},
                                     id => 5008,name => redo,type => normal},
                                   separator,
                                   #{art => {fallback,undefined},
                                     bm => {wx_ref,108,wxBitmap,[]},
                                     id => 96,name => vertex,type => toggle},
                                   #{art => {fallback,undefined},
                                     bm => {wx_ref,109,wxBitmap,[]},
                                     id => 95,name => edge,type => toggle},
                                   #{art => {fallback,undefined},
                                     bm => {wx_ref,110,wxBitmap,[]},
                                     id => 94,name => face,type => toggle},
                                   #{art => {fallback,undefined},
                                     bm => {wx_ref,111,wxBitmap,[]},
                                     id => 93,name => body,type => toggle},
                                   separator,
                                   #{art => {fallback,undefined},
                                     bm => {wx_ref,112,wxBitmap,[]},
                                     id => 5022,name => pref,type => normal},
                                   #{art => {fallback,undefined},
                                     bm => {wx_ref,113,wxBitmap,[]},
                                     id => 92,name => workmode,type => toggle},
                                   #{art => {fallback,undefined},
                                     bm => {wx_ref,114,wxBitmap,[]},
                                     id => 91,name => orthogonal_view,
                                     type => toggle},
                                   #{art => {fallback,undefined},
                                     bm => {wx_ref,115,wxBitmap,[]},
                                     id => 89,name => show_groundplane,
                                     type => toggle},
                                   #{art => {fallback,undefined},
                                     bm => {wx_ref,116,wxBitmap,[]},
                                     id => 90,name => show_axes,
                                     type => toggle}],
                              me => {wx_ref,103,wxToolBar,[]},
                              mode => face,restr => none,sh => true,
                              wins => #{geom => {face,true}}},
                            #{action => undefined,
                              ch =>
                                  {split,
                                      {wx_ref,71,wxSplitterWindow,[]},
                                      undefined,
                                      {wx_ref,72,wxPanel,[]},
                                      undefined},
                              frame => {wx_ref,35,wxFrame,[]},
                              loose => #{},op => undefined,
                              szr => {wx_ref,70,wxBoxSizer,[]}},
                            {wx_ref,541,wxFrame,[]},
                            [{axes,{32,32},{wx_ref,36,wxImage,[]}},
                             {body,{32,32},{wx_ref,37,wxImage,[]}},
                             {edge,{32,32},{wx_ref,38,wxImage,[]}},
                             {face,{32,32},{wx_ref,39,wxImage,[]}},
                             {groundplane,{32,28},{wx_ref,40,wxImage,[]}},
                             {internal_resize,{16,16},{wx_ref,41,wxImage,[]}},
                             {material,{16,16},{wx_ref,42,wxImage,[]}},
                             {open,{32,32},{wx_ref,43,wxImage,[]}},
                             {perspective,{32,32},{wx_ref,44,wxImage,[]}},
                             {pref,{32,32},{wx_ref,45,wxImage,[]}},
                             {redo,{32,32},{wx_ref,46,wxImage,[]}},
                             {save,{32,32},{wx_ref,47,wxImage,[]}},
                             {small_bump,{16,16},{wx_ref,48,wxImage,[]}},
                             {small_closed_eye,{16,16},{wx_ref,49,wxImage,[]}},
                             {small_diffuse,{16,16},{wx_ref,50,wxImage,[]}},
                             {small_eye,{16,16},{wx_ref,51,wxImage,[]}},
                             {small_gloss,{16,16},{wx_ref,52,wxImage,[]}},
                             {small_image,{16,16},{wx_ref,53,wxImage,[]}},
                             {small_image2,{16,16},{wx_ref,54,wxImage,[]}},
                             {small_light,{16,16},{wx_ref,55,wxImage,[]}},
                             {small_locked,{16,16},{wx_ref,56,wxImage,[]}},
                             {small_normal,{16,16},{wx_ref,57,wxImage,[]}},
                             {small_object,{16,16},{wx_ref,58,wxImage,[]}},
                             {small_pref,{16,16},{wx_ref,59,wxImage,[]}},
                             {small_sel_light,{16,16},{wx_ref,60,wxImage,[]}},
                             {small_unlocked,{16,16},{wx_ref,61,wxImage,[]}},
                             {small_wire,{16,16},{wx_ref,62,wxImage,[]}},
                             {smooth,{32,32},{wx_ref,63,wxImage,[]}},
                             {undo,{32,32},{wx_ref,64,wxImage,[]}},
                             {vertex,{32,32},{wx_ref,65,wxImage,[]}},
                             {about_wings,{331,139},{wx_ref,66,wxImage,[]}}],
                            undefined,[]}
** Reason for termination == 
** {{error,no_gl_context,5075},
    [{gl,rec,1,[{file,"gen/gl.erl"},{line,298}]},
     {wings_gl,init_extensions,0,[{file,"wings_gl.erl"},{line,164}]},
     {wings_gl,init,1,[{file,"wings_gl.erl"},{line,49}]},
     {wings,init,1,[{file,"wings.erl"},{line,121}]}]}

^C
BREAK: (a)bort (c)ontinue (p)roc info (i)nfo (l)oaded
       (v)ersion (k)ill (D)b-tables (d)istribution
a

Comment 2 Fedora Update System 2018-12-11 15:47:08 UTC
wings-2.2.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c04284cc06

Comment 3 Fedora Update System 2018-12-11 15:47:11 UTC
wings-2.2.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-76597fc759

Comment 4 Peter Lemenkov 2018-12-11 15:48:44 UTC
(In reply to dufgrinder from comment #0)
> Created attachment 1433992 [details]
> Wings3d (erlang) error file
> 
> Description of problem:
>   
>   After a fresh install of F28 XFCE on 3 computers : 
>    - Wings 2.1.5 crashes on laptop with intel graphics (both 32bits or
> 64bits)
>    - But it works with a desktop with nVidia card running nouveau driver
> 
> Version-Release number of selected component (if applicable): 2.1.5
> 
> But I suspect the error to be liked with intel graphic driver
> 
> glmark2 works but with warnings I've never seen before.
> 
> nothing in the journalctl
> 
> How reproducible:
> 
> 
> Steps to Reproduce:
> 1. Log on the computer (via lightdm)
> 2. Start Wingsd from the menu
> 3. The window appears and vanished immediatly
> 4. Find the wings_crash.dump file in the home directory of the user
> 
> Other way : Start wings from a terminal : an Erlang stack dump is shown

Please  try with 2.2.1 version (will be available soon in undates-testing). It contains bugfixes related to Wayland and EGL so this one will hopefully work much better.

Comment 5 Fedora Update System 2018-12-12 02:42:26 UTC
wings-2.2.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-76597fc759

Comment 6 Fedora Update System 2018-12-12 03:33:28 UTC
wings-2.2.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c04284cc06

Comment 7 dufgrinder 2018-12-12 20:55:20 UTC
Test Result on wings-2.2.1-1.fc28 : Failed

I'm sorry, but the result is close to be the same.
Now, Wings keeps its main window open, but the "3D working area" is not displayed and the menu does not work (at all, kill required).

Test Protocol (form update testing repo):
 1) update wings
 2) update erlang
 3) update kernel
 4) full update 

After each update, I've performed the test and the result was always the same.

[ecoduf@deyme8 ~]$ wings&
[1] 1494
[ecoduf@deyme8 ~]$ 13:52:50: Warning: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1012,wx containers,compatible with 2.8),
and your program used 3.0 (wchar_t,compiler with C++ ABI 1013,wx containers,compatible with 2.8).

=ERROR REPORT==== 12-Dec-2018::13:52:52 ===
    wx: error
    message: "wxWidgets Assert failure: ../src/gtk/window.cpp(3578): \"m_widget != __null\" in SetFocus() : invalid window"

=ERROR REPORT==== 12-Dec-2018::13:52:52 ===
    wx: error
    message: "wxWidgets Assert failure: ../src/gtk/window.cpp(4772): \"m_widget != __null\" in SetDropTarget() : invalid window"
Internal Error
Version: 2.2.1
Window: [wings,wings,<0.67.0>]
Reason: {error,{error,no_gl_context,5075},
               [{gl,rec,1,[{file,"gen/gl.erl"},{line,298}]},
                {wings_gl,init_extensions,0,
                          [{file,"wings_gl.erl"},{line,178}]},
                {wings_gl,init,1,[{file,"wings_gl.erl"},{line,50}]},
                {wings,init,1,[{file,"wings.erl"},{line,69}]},
                {proc_lib,init_p_do_apply,3,
                          [{file,"proc_lib.erl"},{line,247}]}]}

[ecoduf@deyme8 ~]$ kill %1

Other information : This bugs exists on CentOS 7.5/7.6 --> It's sounds like a wings bug ... a problem a at graphical init

KR, Olivier

Comment 8 Fedora Update System 2018-12-21 05:52:37 UTC
wings-2.2.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-12-21 19:39:23 UTC
wings-2.2.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.